Subject: general-digest V2 #104
From: [email-masked] (general-digest)
To: [email-masked]

general-digest        Monday, December 6 1999        Volume 02 : Number 104

In this issue:

    Re: Packed struct stuff
    Re: Packed struct stuff
    Re: Diskless Netwinder as X Terminal?
    Minor FTP site change
    flashwrite
    Re: flashwrite
    Re: Diskless Netwinder as X Terminal?

See the end of this digest for information about general-digest.

----------------------------------------------------------------------

Date: Mon, 29 Nov 1999 11:28:38 -0500
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: Packed struct stuff

"J.R.Peterzon" wrote:
> althoug a compiler option for packed-structures would be an interesting
> option.

The Open Source credo: Feel free to implement it! :)

> Anyway, There seems to be no such thing in Linux as platform independant...
> ;-)

This is quite true, even though it it is 99% avoidable IMHO.

> Let's hope that Corel will finish their office suite for the Netwinder and
> that
> we will get a Web Browser ( pref. Netscape ) that suits our needs.

As soon as we do a versioned build we'll be calling Corel and Netscape.

- --
Andrew E. Mileski - Software Engineer
REBEL.COM  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Mon, 29 Nov 1999 14:06:04 -0500
From: Douglas Paul <[email-masked]>
Subject: Re: Packed struct stuff

"J.R.Peterzon" wrote:

> "Andrew E. Mileski" wrote:
>
> >The application(s) are not portable, so contact the maintainer(s).
> >Doing I/O by reading/writing structures is a very bad practice.
> >You can't be portable when you assume type size, alignment, or padding.
>
> Well this has been my statement all along in the discussion last year
> and I got a bit flamed for that then..
>
> althoug a compiler option for packed-structures would be an interesting
> option.

There actually is a gcc option for this, -fpack-structs, but it causes more
problems than it's worth. The problem is that it also packs all of the structs
in the standard include files so it breaks glibc and any other library that
uses structs (ie, all of them) when you start passing them data that doesn't
match what they're expecting. So, I guess if you compiled everything with this
option, you'd be fine, but everything would run slower.

I believe the info page has more on this.

- --
Douglas Paul

[email-masked]
[email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Wed, 01 Dec 1999 07:57:17 -0500
From: Scott Bambrough <[email-masked]>
Subject: Re: Diskless Netwinder as X Terminal?

Jim Blust wrote:
> 
> After posting, I noticed on the rebel.com website that there is a Netwinder
> "Thin Client" listed, although it doesn't appear to be on the netwinder
> pricing list. Is this model currently being sold, and would it do what I'm
> talking about?

This model is not currently available.  I have several prototypes in
house, and in testing.  It does exactly what you want.  It can run apps
off of any Unix box that allows a remote XDM login.

- -- 
Scott Bambrough - Software Engineer
REBEL.COM    http://www.rebel.com
NetWinder    http://www.netwinder.org

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 03 Dec 1999 15:22:38 -0500
From: "Andrew E. Mileski" <[email-masked]>
Subject: Minor FTP site change

You can now use ~username to change to user home directories on the FTP
site.  example: cd ~andrewm

It seems web browsers  (IE, Netscape) escape the tilde, so you can't
use it in a URL.  I'm looking into hacking the server to get around this.
The full path still works though. example: /users/a/andrewm

- --
Andrew E. Mileski - Software Engineer
REBEL.COM  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: 4 Dec 1999 04:53:31 GMT
From: [email-masked] ()
Subject: flashwrite

I was just wondering which package contains the flashwrite utility?

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: 4 Dec 1999 18:35:46 GMT
From: Rod Stewart <[email-masked]>
Subject: Re: flashwrite

[email-masked] wrote:
> I was just wondering which package contains the flashwrite utility?

nettrom-2.1.16b.armv4l.rpm (or similar).  This one is statically linked,
as such will work on a versioned and non versioned systems.  If installing
the rpm you might want to do it with --noscripts, as if not it will
automagically write the flash as well...  (Not always what is wanted)

- -Rms

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Mon, 6 Dec 1999 19:47:11 -0800
From: "Jim Blust" <[email-masked]>
Subject: Re: Diskless Netwinder as X Terminal?

Sounds cool to me! Do you have any idea when they might become available,
and how much this configuration might end up costing?

Thanks,
Jim

Scott Bambrough wrote in message <[email-masked]>...
>Jim Blust wrote:
>>
>> After posting, I noticed on the rebel.com website that there is a
Netwinder
>> "Thin Client" listed, although it doesn't appear to be on the netwinder
>> pricing list. Is this model currently being sold, and would it do what
I'm
>> talking about?
>
>This model is not currently available.  I have several prototypes in
>house, and in testing.  It does exactly what you want.  It can run apps
>off of any Unix box that allows a remote XDM login.
>
>--
>Scott Bambrough - Software Engineer
>REBEL.COM    http://www.rebel.com
>NetWinder    http://www.netwinder.org

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

End of general-digest V2 #104
*****************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general-digest" as the body of your message.